This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1309580 - OS name of win8.1 x64 guest shows incorrect in rhevm3.6 general info
OS name of win8.1 x64 guest shows incorrect in rhevm3.6 general info
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.3
x86_64 Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
V2V
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 03:04 EST by mxie@redhat.com
Modified: 2016-11-03 13:58 EDT (History)
7 users (show)

See Also:
Fixed In Version: libguestfs-1.32.2-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 13:58:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log_win8.1_x64_rhev (424.10 KB, text/plain)
2016-02-18 03:04 EST, mxie@redhat.com
no flags Details
screenshot1 (57.31 KB, image/png)
2016-02-18 03:06 EST, mxie@redhat.com
no flags Details

  None (edit)
Description mxie@redhat.com 2016-02-18 03:04:40 EST
Created attachment 1128156 [details]
log_win8.1_x64_rhev

Description of problem:
OS name of win8.1 x64 guest shows incorrect in rhevm3.6 general info

Version-Release number of selected component (if applicable):
virt-v2v-1.32.2-3.el7.x86_64
libguestfs-1.32.2-3.el7.x86_64
rhevm3.6:3.6.2.6-0.1.el6

How reproducible:
100%

Steps to Reproduce:
1.Convert win8.1 x64 guest from local to RHEV, conversion log pls refer to attachment
# virt-v2v -o rhev -os 10.73.69.63:/home/nfs_export -n ovirtmgmt -b ovirtmgmt esx5.1-win8.1-x86_64 -of raw
[   0.0] Opening the source -i libvirt esx5.1-win8.1-x86_64
[   0.0] Creating an overlay to protect the source from being modified
[   0.4] Initializing the target -o rhev -os 10.73.69.63:/home/nfs_export
[   0.6] Opening the overlay
[   5.1] Inspecting the overlay
[   6.6] Checking for sufficient free disk space in the guest
[   6.6] Estimating space required on target for each disk
[   6.6] Converting Windows 8.1 Enterprise to run on KVM
virt-v2v: warning: there is no QXL driver for this version of Windows (6.3 
x86_64).  virt-v2v looks for this driver in /usr/share/virtio-win

The guest will be configured to use standard VGA.
virt-v2v: This guest has virtio drivers installed.
[   8.2] Mapping filesystem data to avoid copying unused and blank areas
[   8.9] Closing the overlay
[   9.1] Checking if the guest needs BIOS or UEFI to boot
[   9.1] Assigning disks to buses
[   9.1] Copying disk 1/1 to /tmp/v2v.Rd1qbP/d5b21b75-57d6-4b1a-bd40-e949232067df/images/cc2b7d44-9839-40b9-9fcb-36f4101a866b/a2443c9a-e43f-4034-865d-f1d662d415ac (raw)
    (100.00/100%)
[ 221.5] Creating output metadata
[ 221.6] Finishing off

2.After conversion,import guest from export domain to data domain(need to change the guest name due to bug1308778)

3.Check OS name of win8.1x64  guest in general info, it shows "Windows 2012R2 x64", please refer to screenshot1

4.Check OS name in guest system, it shows win8.1 x64

Actual results:
As above description

Expected results:
OS name of win8.1 x64 guest shows correct in rhevm3.6 general info

Additional info:
Comment 2 mxie@redhat.com 2016-02-18 03:06 EST
Created attachment 1128157 [details]
screenshot1
Comment 3 Richard W.M. Jones 2016-02-18 04:57:54 EST
In the OVF we add:

    <Section ovf:id='ad5535f7-31c4-4c8d-a677-947af21c90d7' ovf:required='false' xsi:type='ovf:OperatingSystemSection_Type'>
      <Info>Windows 8.1 Enterprise</Info>
      <Description>windows_2012R2x64</Description>
    </Section>

What we're doing is finding the nearest approximation
to Windows 8.1 in the values that oVirt supports, see:

https://github.com/oVirt/ovirt-engine/blob/master/packaging/conf/osinfo-defaults.properties

There is no "Windows 8.1" in oVirt, so we choose the closest
which is Windows 2012R2.

(Adding Shahar to CC for additional comments, but I think this
is NOTABUG).
Comment 4 Shahar Havivi 2016-02-18 06:35:10 EST
oVirt use all Windows 8.x the same - I think its better that v2v will map Windows 8.1 to Windows 8 instead of 2012.
However if you think that 8.1 needs a version of its own you can open a bug on oVirt.
Comment 5 Richard W.M. Jones 2016-02-18 09:48:52 EST
Thanks.  Upstream commit is
7bf820b0d9cc94c6291525c45b359177a11170d7
Comment 6 mxie@redhat.com 2016-02-19 03:10:37 EST
Verify the bug with builds:
virt-v2v-1.32.2-5.el7.x86_64
libguestfs-1.32.2-5.el7.x86_64
virtio-win-1.8.0-4.el7.noarch
RHEVM3.6:3.6.2.6-0.1.el6
Host:3.10.0-350.el7.x86_64

Steps:
1.Convert win8.1 x64 guest to RHEV

# virt-v2v -o rhev -os 10.73.69.63:/home/nfs_export -n ovirtmgmt -b ovirtmgmt esx5.1-win8.1-i386 -on win8.1-x86-new -of raw
[   0.0] Opening the source -i libvirt esx5.1-win8.1-i386
[   0.0] Creating an overlay to protect the source from being modified
[   0.3] Initializing the target -o rhev -os 10.73.69.63:/home/nfs_export
[   0.5] Opening the overlay
[   5.3] Inspecting the overlay
[   6.2] Checking for sufficient free disk space in the guest
[   6.2] Estimating space required on target for each disk
[   6.2] Converting Windows 8.1 Enterprise to run on KVM
virt-v2v: warning: there is no QXL driver for this version of Windows (6.3 
i386).  virt-v2v looks for this driver in /usr/share/virtio-win

The guest will be configured to use standard VGA.
virt-v2v: This guest has virtio drivers installed.
[   7.3] Mapping filesystem data to avoid copying unused and blank areas
[   7.6] Closing the overlay
[   7.9] Checking if the guest needs BIOS or UEFI to boot
[   7.9] Assigning disks to buses
[   7.9] Copying disk 1/1 to /tmp/v2v.NuH29h/d5b21b75-57d6-4b1a-bd40-e949232067df/images/38c13ef6-36a0-47d9-b58f-51af7529e654/e25dd281-1449-4f96-885f-742204c1e5c6 (raw)
    (100.00/100%)
[ 189.5] Creating output metadata
[ 189.7] Finishing off

2.After conversion,import guest from export domain to data domain

3.Check OS name of win8.1x64 guest in general info, it shows "Windows 8 x64", please refer to screenshot2

Additional info:
1.Convert win8.1 x86 guest to RHEV and check OS name of win8.1x64 guest in general info, it shows "Windows 8"


Result now:
virt-v2v map Windows 8.1 to Windows 8
Comment 8 mxie@redhat.com 2016-07-07 07:47:40 EDT
Verify the bug with builds:
virt-v2v-1.32.5-10.el7.x86_64
libguestfs-1.32.5-10.el7.x86_64
qemu-kvm-1.5.3-116.el7.x86_64
libvirt-2.0.0-1.el7.x86_64
virtio-win-1.8.0-5.el7.noarch
libguestfs-winsupport-7.2-1.el7.x86_64

Result now:
Convert win8.1 and win8 guest to RHEV and both their Operating System shows "Windows 8 " , according to comment 4, the bug has been fixed

So move the bug from ON_QA to VERIFIED
Comment 10 errata-xmlrpc 2016-11-03 13:58:53 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html

Note You need to log in before you can comment on or make changes to this bug.